Package wx :: Class ActivateEvent

[frames | no frames]

## Type ActivateEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    ActivateEvent

An activate event is sent when a top-level window or the entire application is being activated or deactivated.

A top-level window (a dialog or frame) receives an activate event when is being activated or deactivated. This is indicated visually by the title bar changing colour, and a subwindow gaining the keyboard focus. An application is activated or deactivated when one of its frames becomes activated, or a frame becomes inactivate resulting in all application frames being inactive.

Please note that usually you should call event.Skip() in your handlers for these events so the default handlers will still be called, as not doing so can result in strange effects.

# Events

> wx.EVT_ACTIVATE | Sent to a frame when it has been activated or deactivated.
> wx.EVT_ACTIVATE_APP | Sent to the app object when its activation state changes.

Method Summary
ActivateEvent | ``__init__`(self, type, active, Id)` Constructor
bool | ``GetActive`(self)` Returns true if the application or window is being activated, false otherwise.

Property Summary
| `Active`: See `GetActive`
| `thisown`: The membership flag

Method Details

### __init__(self, type=wxEVT_NULL, active=True, Id=0)
(Constructor)

Constructor

  Parameters:
    `type`
    (type=EventType)

    `active`
    (type=bool)

    `Id`
    (type=int)

  Returns:
    ActivateEvent
  Overrides:
    `wx.Event.__init__`

### GetActive(self)

Returns true if the application or window is being activated, false otherwise.

  Returns:
    bool

Property Details

### Active

See `GetActive`

  Get Method:
    `GetActive`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:41 2007 | http://epydoc.sf.net